Bug 123410 - graphics/pornview segmentation fault
Summary: graphics/pornview segmentation fault
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-05 01:50 UTC by JImmie James
Modified: 2010-11-27 10:38 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description JImmie James 2008-05-05 01:50:00 UTC
Install graphics/pornview after the GTK2 update, and try to run it.
# $FreeBSD: ports/graphics/pornview/Makefile,v 1.31 2008/05/04 12:19:09 dinoex Exp $

[20:43:30]  jimmie@fortytwo <157> [0] /usr/ports/graphics/pornview/work/pornview-0.2.0pre1/src>gdb ./pornview
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-marcel-freebsd"...
(gdb) run
Starting program: /usr/ports/graphics/pornview/work/pornview-0.2.0pre1/src/pornview 
[New LWP 100057]
[New Thread 0x28d01100 (LWP 100057)]

(pornview:77579): GLib-GObject-CRITICAL **: g_value_get_pointer: assertion `G_VALUE_HOLDS_POINTER (value)' failed

(pornview:77579): GLib-GObject-CRITICAL **: g_value_get_pointer: assertion `G_VALUE_HOLDS_POINTER (value)' failed

** (pornview:77579): WARNING **: Invalid borders specified for theme pixmap:
        /home/jimmie/.themes/Cillop-Brushed/gtk-2.0/menubar.png,
borders don't fit within the image

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x28d01100 (LWP 100057)]
0x08087994 in zlist_clear (list=0x28ddf820) at zlist.c:1397
1397	    scrolled->h_adjustment->value = 0;
(gdb) quit
The program is running.  Exit anyway? (y or n)y
[20:44:42]  jimmie@fortytwo <158> [0] /usr/ports/graphics/pornview/work/pornview-0.2.0pre1/src>

Fix: 

No idea, sorry.
How-To-Repeat: Install graphics/pornview and run
Comment 1 Edwin Groothuis freebsd_committer 2008-05-05 01:50:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dirk Meyer freebsd_committer 2008-05-05 06:08:13 UTC
State Changed
From-To: open->feedback

I can not reproduce the problem here. 

What is the output of 
make clean configure 

Can you get a backtrace in gdb? (command "bt")
Comment 3 JImmie James 2008-05-06 15:41:03 UTC
dinoex@FreeBSD.org wrote:
> Synopsis: graphics/pornview segmentation fault
>
> State-Changed-From-To: open->feedback
> State-Changed-By: dinoex
> State-Changed-When: Mon May 5 07:08:13 CEST 2008
> State-Changed-Why: I can not reproduce the problem here.
>
> What is the output of
> make clean configure
>
> Can you get a backtrace in gdb? (command "bt")
>
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=123410
>

Hope this helps.

-Jimmie

[6:15:43]  jimmie@fortytwo <101> [0] /usr/ports/graphics/pornview#make 
clean configure
===>  Cleaning for pornview-0.2.0.p.1_16
=> pornview-0.2.0pre1.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch from 
http://nchc.dl.sourceforge.net/sourceforge/pornview/.
fetch: 
http://nchc.dl.sourceforge.net/sourceforge/pornview/pornview-0.2.0pre1.tar.gz: 
Moved Temporarily
=> Attempting to fetch from 
http://kent.dl.sourceforge.net/sourceforge/pornview/.
fetch: 
http://kent.dl.sourceforge.net/sourceforge/pornview/pornview-0.2.0pre1.tar.gz: 
Moved Temporarily
=> Attempting to fetch from 
http://easynews.dl.sourceforge.net/sourceforge/pornview/.
pornview-0.2.0pre1.tar.gz                     100% of  594 kB  124 kBps
===>  Extracting for pornview-0.2.0.p.1_16
=> MD5 Checksum OK for pornview-0.2.0pre1.tar.gz.
=> SHA256 Checksum OK for pornview-0.2.0pre1.tar.gz.
===>  Patching for pornview-0.2.0.p.1_16
===>  Applying FreeBSD patches for pornview-0.2.0.p.1_16
===>   pornview-0.2.0.p.1_16 depends on file: 
/usr/local/libdata/pkgconfig/x11.pc - found
===>   pornview-0.2.0.p.1_16 depends on file: 
/usr/local/libdata/pkgconfig/xi.pc - found
===>   pornview-0.2.0.p.1_16 depends on file: 
/usr/local/libdata/pkgconfig/xext.pc - found
===>   pornview-0.2.0.p.1_16 depends on file: 
/usr/local/libdata/pkgconfig/xinerama.pc - found
===>   pornview-0.2.0.p.1_16 depends on file: 
/usr/local/bin/intltool-extract - found
===>   pornview-0.2.0.p.1_16 depends on executable: pkg-config - found
===>   pornview-0.2.0.p.1_16 depends on shared library: exif.12 - found
===>   pornview-0.2.0.p.1_16 depends on shared library: atk-1.0.0 - found
===>   pornview-0.2.0.p.1_16 depends on shared library: glib-2.0.0 - found
===>   pornview-0.2.0.p.1_16 depends on shared library: gtk-x11-2.0.0 - 
found
===>   pornview-0.2.0.p.1_16 depends on shared library: pango-1.0.0 - found
===>  Configuring for pornview-0.2.0.p.1_16
creating cache ./config.cache
checking for non-GNU ld... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for a BSD compatible install... /usr/bin/install -c -o root -g 
wheel
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... yes
checking for working aclocal... found
checking for working autoconf... found
checking for working automake... found
checking for working autoheader... found
checking for working makeinfo... found
checking for strerror in -lcposix... no
checking for gcc... cc
checking whether the C compiler (cc -pipe -g -L/usr/local/lib) works... yes
checking whether the C compiler (cc -pipe -g -L/usr/local/lib) is a 
cross-compiler... no
checking whether we are using GNU C... yes
checking whether cc accepts -g... yes
checking for cc option to accept ANSI C... none needed
checking how to run the C preprocessor... cc -E
checking for ANSI C header files... yes
checking for X... libraries /usr/local/lib, headers /usr/local/include
checking whether to enable maintainer-specific portions of Makefiles... no
checking for Cygwin environment... no
checking for mingw32 environment... no
checking host system type... i386-unknown-freebsd7.0
checking build system type... i386-portbld-freebsd7.0
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
checking how to recognise dependant libraries... pass_all
checking for object suffix... o
checking for executable suffix... no
checking command to parse /usr/bin/nm -B output... ok
checking for dlfcn.h... yes
checking for i386-unknown-freebsd7.0-ranlib... no
checking for ranlib... ranlib
checking for i386-unknown-freebsd7.0-strip... no
checking for strip... strip
checking for objdir... .libs
checking for cc option to produce PIC... -fPIC
checking if cc PIC flag -fPIC works... yes
checking if cc static flag -static works... yes
checking if cc supports -c -o file.o... yes
checking if cc supports -c -o file.lo... yes
checking if cc supports -fno-rtti -fno-exceptions... yes
checking whether the linker (/usr/bin/ld) supports shared libraries... yes
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking dynamic linker characteristics... freebsd7.0 ld.so
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking whether -lc should be explicitly linked in... no
creating libtool
checking for glib-genmarshal... /usr/local/bin/glib-genmarshal
checking for pkg-config... /usr/local/bin/pkg-config
checking for
       glib-2.0 >= 2.0.0
       gmodule-2.0 >= 2.0.0
       gdk-pixbuf-2.0 >= 2.0.0
       gtk+-2.0 >= 2.0.0
    ... yes
checking GTK_CFLAGS... -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2
checking GTK_LIBS... -Wl,--export-dynamic -pthread -L/usr/local/lib 
-lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 
-lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite 
-lXdamage -lcairo -lpangoft2-1.0 -lpango-1.0 -lm -lfreetype -lz 
-lfontconfig -lX11 -lXfixes -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -liconv
checking for png_read_info in -lpng... yes
checking for png.h... yes
checking for png_structp in png.h... yes
checking for jpeglib.h... yes
checking for jpeg_finish_decompress in -ljpeg... yes
checking for dnet_ntoa in -ldnet... no
checking for dnet_ntoa in -ldnet_stub... no
checking for gethostbyname... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking for XineramaQueryScreens in -lXinerama... yes
checking for X11/extensions/Xinerama.h... yes
checking for shared library run path origin... done
checking for ranlib... (cached) ranlib
checking for working const... yes
checking for inline... inline
checking for off_t... yes
checking for size_t... yes
checking for working alloca.h... no
checking for alloca... yes
checking for unistd.h... yes
checking for getpagesize... yes
checking for working mmap... yes
checking whether we are using the GNU C Library 2.1 or newer... no
checking for iconv... yes
checking how to link with libiconv... /usr/local/lib/libiconv.so 
-Wl,-rpath -Wl,/usr/local/lib
checking for msgfmt... /usr/local/bin/msgfmt
checking for gmsgfmt... /usr/local/bin/msgfmt
checking for xgettext... /usr/local/bin/xgettext
checking for msgmerge... /usr/local/bin/msgmerge
checking for argz.h... no
checking for limits.h... yes
checking for locale.h... yes
checking for nl_types.h... yes
checking for malloc.h... no
checking for stddef.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for unistd.h... (cached) yes
checking for sys/param.h... yes
checking for feof_unlocked... yes
checking for fgets_unlocked... no
checking for getc_unlocked... yes
checking for getcwd... yes
checking for getegid... yes
checking for geteuid... yes
checking for getgid... yes
checking for getuid... yes
checking for mempcpy... no
checking for munmap... yes
checking for putenv... yes
checking for setenv... yes
checking for setlocale... yes
checking for stpcpy... yes
checking for strcasecmp... yes
checking for strdup... yes
checking for strtoul... yes
checking for tsearch... yes
checking for __argz_count... no
checking for __argz_stringify... no
checking for __argz_next... no
checking for iconv declaration...
          extern size_t iconv (iconv_t cd, const char * *inbuf, size_t 
*inbytesleft, char * *outbuf, size_t *outbytesleft);
checking for nl_langinfo and CODESET... yes
checking for LC_MESSAGES... yes
checking for bison... bison
checking version of bison... 2.3, ok
checking whether NLS is requested... yes
checking whether included gettext is requested... no
checking for GNU gettext in libc... no
checking for GNU gettext in libintl... no
checking for gettext... no
checking for gettext in -lintl... yes
checking for libcharset... yes
checking for dirent.h that defines DIR... yes
checking for opendir in -ldir... no
checking for ANSI C header files... (cached) yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking for alloca.h... (cached) no
checking for argz.h... (cached) no
checking for errno.h... yes
checking for fcntl.h... yes
checking for langinfo.h... yes
checking for libintl.h... yes
checking for limits.h... (cached) yes
checking for locale.h... (cached) yes
checking for malloc.h... (cached) no
checking for memory.h... yes
checking for netinet/in.h... yes
checking for nl_types.h... (cached) yes
checking for stddef.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for strings.h... yes
checking for sys/param.h... (cached) yes
checking for sys/time.h... yes
checking for unistd.h... (cached) yes
checking for utime.h... yes
checking for working const... (cached) yes
checking for uid_t in sys/types.h... yes
checking for inline... (cached) inline
checking for mode_t... yes
checking for off_t... (cached) yes
checking for pid_t... yes
checking for size_t... (cached) yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking for working alloca.h... (cached) no
checking for alloca... (cached) yes
checking for 8-bit clean memcmp... yes
checking for unistd.h... (cached) yes
checking for getpagesize... (cached) yes
checking for working mmap... (cached) yes
checking for strftime... yes
checking whether utime accepts a null argument... yes
checking for vprintf... yes
checking for __argz_count... (cached) no
checking for __argz_next... (cached) no
checking for __argz_stringify... (cached) no
checking for dcgettext... yes
checking for dup2... yes
checking for endgrent... yes
checking for endpwent... yes
checking for floor... no
checking for getcwd... (cached) yes
checking for getpagesize... (cached) yes
checking for getwd... yes
checking for memmove... yes
checking for mempcpy... (cached) no
checking for memset... yes
checking for mkdir... yes
checking for munmap... (cached) yes
checking for nl_langinfo... yes
checking for pow... no
checking for putenv... (cached) yes
checking for setenv... (cached) yes
checking for setlocale... (cached) yes
checking for sqrt... no
checking for stpcpy... (cached) yes
checking for strcasecmp... (cached) yes
checking for strchr... yes
checking for strcspn... yes
checking for strdup... (cached) yes
checking for strrchr... yes
checking for strstr... yes
checking for strtoul... (cached) yes
checking for uname... yes
checking for utime... yes
updating cache ./config.cache
creating ./config.status
creating Makefile
creating icons/Makefile
creating intl/Makefile
creating po/Makefile.in
creating src/Makefile
creating src/pixmaps/Makefile
creating src/scripts/Makefile
creating src/support/Makefile
creating src/prefs_ui/Makefile
creating src/support/cursors/Makefile
creating src/support/libexif/Makefile
creating src/support/pixmaps/Makefile
creating src/support/widgets/Makefile
creating src/support/widgets/pixmaps/Makefile
creating config.h
creating po/POTFILES
creating po/Makefile

Configure Result :

    C Compiler    : cc -pipe -g -Wall
    Install path  : /usr/local
    Normal paned     : no
    Gtk+-2.0      : yes
    Movie support : no
    EXIF          : yes

[6:16:10]  jimmie@fortytwo <102> [0] /usr/ports/graphics/pornview#make
===>  Building for pornview-0.2.0.p.1_16
make  all-recursive
Making all in icons
Making all in intl
Making all in po
Making all in src
Making all in pixmaps
Making all in support
Making all in cursors
Making all in libexif
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../..   -I/usr/local/include  -pipe -g -Wall -c exif-byte-order.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -I/usr/local/include -pipe -g 
-Wall -c exif-byte-order.c  -fPIC -DPIC -o exif-byte-order.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../..   -I/usr/local/include  -pipe -g -Wall -c exif-content.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -I/usr/local/include -pipe -g 
-Wall -c exif-content.c  -fPIC -DPIC -o exif-content.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../..   -I/usr/local/include  -pipe -g -Wall -c exif-data.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -I/usr/local/include -pipe -g 
-Wall -c exif-data.c  -fPIC -DPIC -o exif-data.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../..   -I/usr/local/include  -pipe -g -Wall -c exif-entry.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -I/usr/local/include -pipe -g 
-Wall -c exif-entry.c  -fPIC -DPIC -o exif-entry.lo
exif-entry.c: In function 'exif_entry_get_value':
exif-entry.c:195: warning: pointer targets in passing argument 2 of 
'strncpy' differ in signedness
exif-entry.c:200: warning: pointer targets in passing argument 1 of 
'strlen' differ in signedness
exif-entry.c:200: warning: pointer targets in passing argument 2 of 
'strncat' differ in signedness
exif-entry.c:240: warning: pointer targets in passing argument 1 of 
'strncmp' differ in signedness
exif-entry.c:247: warning: pointer targets in passing argument 1 of 
'strncmp' differ in signedness
exif-entry.c:249: warning: pointer targets in passing argument 1 of 
'strncmp' differ in signedness
exif-entry.c:1051: warning: pointer targets in passing argument 2 of 
'strncpy' differ in signedness
exif-entry.c: In function 'exif_entry_get_value_brief':
exif-entry.c:1124: warning: pointer targets in passing argument 1 of 
'strncmp' differ in signedness
exif-entry.c:1131: warning: pointer targets in passing argument 1 of 
'strncmp' differ in signedness
exif-entry.c:1133: warning: pointer targets in passing argument 1 of 
'strncmp' differ in signedness
exif-entry.c: In function 'exif_entry_initialize':
exif-entry.c:1532: warning: pointer targets in passing argument 1 of 
'strncpy' differ in signedness
exif-entry.c:1539: warning: pointer targets in passing argument 1 of 
'strcpy' differ in signedness
exif-entry.c:1540: warning: pointer targets in passing argument 1 of 
'strcpy' differ in signedness
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../..   -I/usr/local/include  -pipe -g -Wall -c exif-format.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -I/usr/local/include -pipe -g 
-Wall -c exif-format.c  -fPIC -DPIC -o exif-format.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../..   -I/usr/local/include  -pipe -g -Wall -c exif-ifd.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -I/usr/local/include -pipe -g 
-Wall -c exif-ifd.c  -fPIC -DPIC -o exif-ifd.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../..   -I/usr/local/include  -pipe -g -Wall -c exif-tag.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -I/usr/local/include -pipe -g 
-Wall -c exif-tag.c  -fPIC -DPIC -o exif-tag.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../..   -I/usr/local/include  -pipe -g -Wall -c exif-utils.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -I/usr/local/include -pipe -g 
-Wall -c exif-utils.c  -fPIC -DPIC -o exif-utils.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../..   -I/usr/local/include  -pipe -g -Wall -c jpeg-data.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -I/usr/local/include -pipe -g 
-Wall -c jpeg-data.c  -fPIC -DPIC -o jpeg-data.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../..   -I/usr/local/include  -pipe -g -Wall -c jpeg-marker.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -I/usr/local/include -pipe -g 
-Wall -c jpeg-marker.c  -fPIC -DPIC -o jpeg-marker.lo
/bin/sh ../../../libtool --mode=link cc  -pipe -g -Wall -L/usr/local/lib 
-o libexif.la   exif-byte-order.lo exif-content.lo exif-data.lo 
exif-entry.lo exif-format.lo exif-ifd.lo exif-tag.lo exif-utils.lo 
jpeg-data.lo jpeg-marker.lo  -lintl
mkdir .libs
rm -fr .libs/libexif.la .libs/libexif.* .libs/libexif.*
ar cru .libs/libexif.al exif-byte-order.lo exif-content.lo exif-data.lo 
exif-entry.lo exif-format.lo exif-ifd.lo exif-tag.lo exif-utils.lo 
jpeg-data.lo jpeg-marker.lo
ranlib .libs/libexif.al
creating libexif.la
(cd .libs && rm -f libexif.la && ln -s ../libexif.la libexif.la)
Making all in pixmaps
Making all in widgets
Making all in pixmaps
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../.. -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -I../ 
-I/usr/local/include  -pipe -g -Wall -c dirtree.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -I../ -I/usr/local/include -pipe -g -Wall 
-c dirtree.c  -fPIC -DPIC -o dirtree.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../.. -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -I../ 
-I/usr/local/include  -pipe -g -Wall -c editable_list.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -I../ -I/usr/local/include -pipe -g -Wall 
-c editable_list.c  -fPIC -DPIC -o editable_list.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../.. -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -I../ 
-I/usr/local/include  -pipe -g -Wall -c gedo-hpaned.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -I../ -I/usr/local/include -pipe -g -Wall 
-c gedo-hpaned.c  -fPIC -DPIC -o gedo-hpaned.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../.. -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -I../ 
-I/usr/local/include  -pipe -g -Wall -c gedo-paned.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -I../ -I/usr/local/include -pipe -g -Wall 
-c gedo-paned.c  -fPIC -DPIC -o gedo-paned.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../.. -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -I../ 
-I/usr/local/include  -pipe -g -Wall -c gedo-vpaned.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -I../ -I/usr/local/include -pipe -g -Wall 
-c gedo-vpaned.c  -fPIC -DPIC -o gedo-vpaned.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../.. -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -I../ 
-I/usr/local/include  -pipe -g -Wall -c gtkcellrendererpixmap.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -I../ -I/usr/local/include -pipe -g -Wall 
-c gtkcellrendererpixmap.c  -fPIC -DPIC -o gtkcellrendererpixmap.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../.. -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -I../ 
-I/usr/local/include  -pipe -g -Wall -c gtkmplayer.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -I../ -I/usr/local/include -pipe -g -Wall 
-c gtkmplayer.c  -fPIC -DPIC -o gtkmplayer.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../.. -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -I../ 
-I/usr/local/include  -pipe -g -Wall -c gtkxine.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -I../ -I/usr/local/include -pipe -g -Wall 
-c gtkxine.c  -fPIC -DPIC -o gtkxine.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../.. -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -I../ 
-I/usr/local/include  -pipe -g -Wall -c gtkxine_old.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -I../ -I/usr/local/include -pipe -g -Wall 
-c gtkxine_old.c  -fPIC -DPIC -o gtkxine_old.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../.. -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -I../ 
-I/usr/local/include  -pipe -g -Wall -c marshal.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -I../ -I/usr/local/include -pipe -g -Wall 
-c marshal.c  -fPIC -DPIC -o marshal.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../.. -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -I../ 
-I/usr/local/include  -pipe -g -Wall -c scrolled.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -I../ -I/usr/local/include -pipe -g -Wall 
-c scrolled.c  -fPIC -DPIC -o scrolled.lo
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../.. -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -I../ 
-I/usr/local/include  -pipe -g -Wall -c zalbum.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -I../ -I/usr/local/include -pipe -g -Wall 
-c zalbum.c  -fPIC -DPIC -o zalbum.lo
zalbum.c: In function 'zalbum_draw_list':
zalbum.c:379: warning: passing argument 3 of 'zalbum_draw_string' 
discards qualifiers from pointer target type
zalbum.c: In function 'zalbum_draw_preview':
zalbum.c:477: warning: passing argument 3 of 'zalbum_draw_string' 
discards qualifiers from pointer target type
/bin/sh ../../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. 
-I../../.. -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -I../ 
-I/usr/local/include  -pipe -g -Wall -c zlist.c
cc -DHAVE_CONFIG_H -I. -I. -I../../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -I../ -I/usr/local/include -pipe -g -Wall 
-c zlist.c  -fPIC -DPIC -o zlist.lo
zlist.c: In function 'zlist_remove':
zlist.c:1277: warning: pointer targets in assignment differ in signedness
/bin/sh ../../../libtool --mode=link cc  -pipe -g -Wall -L/usr/local/lib 
-o libsupport_widgets.la   dirtree.lo editable_list.lo  gedo-hpaned.lo 
gedo-paned.lo gedo-vpaned.lo gtkcellrendererpixmap.lo  gtkmplayer.lo 
gtkxine.lo gtkxine_old.lo marshal.lo scrolled.lo  zalbum.lo zlist.lo  -lintl
mkdir .libs
rm -fr .libs/libsupport_widgets.la .libs/libsupport_widgets.* 
.libs/libsupport_widgets.*
ar cru .libs/libsupport_widgets.al dirtree.lo editable_list.lo 
gedo-hpaned.lo gedo-paned.lo gedo-vpaned.lo gtkcellrendererpixmap.lo 
gtkmplayer.lo gtkxine.lo gtkxine_old.lo marshal.lo scrolled.lo zalbum.lo 
zlist.lo
ranlib .libs/libsupport_widgets.al
creating libsupport_widgets.la
(cd .libs && rm -f libsupport_widgets.la && ln -s 
../libsupport_widgets.la libsupport_widgets.la)
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c button.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c button.c  -fPIC -DPIC -o button.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c charset.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c charset.c  -fPIC -DPIC -o charset.lo
charset.c: In function 'charset_conv':
charset.c:473: warning: pointer targets in passing argument 5 of 
'g_convert' differ in signedness
charset.c:473: warning: pointer targets in passing argument 6 of 
'g_convert' differ in signedness
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c check_button.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c check_button.c  -fPIC -DPIC -o check_button.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c clist_edit.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c clist_edit.c  -fPIC -DPIC -o clist_edit.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c cursors.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c cursors.c  -fPIC -DPIC -o cursors.lo
cursors.c:56: warning: pointer targets in initialization differ in 
signedness
cursors.c:56: warning: pointer targets in initialization differ in 
signedness
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c dialogs.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c dialogs.c  -fPIC -DPIC -o dialogs.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c exif_view.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c exif_view.c  -fPIC -DPIC -o exif_view.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c file_dialog.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c file_dialog.c  -fPIC -DPIC -o file_dialog.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c file_list.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c file_list.c  -fPIC -DPIC -o file_list.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c file_type.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c file_type.c  -fPIC -DPIC -o file_type.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c file_utils.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c file_utils.c  -fPIC -DPIC -o file_utils.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c generic_dialog.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c generic_dialog.c  -fPIC -DPIC -o generic_dialog.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c image.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c image.c  -fPIC -DPIC -o image.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c image_info.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c image_info.c  -fPIC -DPIC -o image_info.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c image_loader.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c image_loader.c  -fPIC -DPIC -o image_loader.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c japanese.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c japanese.c  -fPIC -DPIC -o japanese.lo
japanese.c: In function 'detect_kanji':
japanese.c:285: warning: pointer targets in passing argument 1 of 
'strlen' differ in signedness
japanese.c:285: warning: pointer targets in passing argument 1 of 
'g_utf8_validate' differ in signedness
japanese.c: In function 'japanese_detect_charset':
japanese.c:301: warning: pointer targets in passing argument 1 of 
'detect_kanji' differ in signedness
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c menu.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c menu.c  -fPIC -DPIC -o menu.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c path_selection.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c path_selection.c  -fPIC -DPIC -o path_selection.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c pixbuf_utils.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c pixbuf_utils.c  -fPIC -DPIC -o pixbuf_utils.lo
pixbuf_utils.c: In function 'pixbuf_to_file_as_png':
pixbuf_utils.c:125: warning: pointer targets in initialization differ in 
signedness
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2    -Ilibexif -I../ 
-I/usr/local/include  -pipe -g -Wall -c string_utils.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2 -Ilibexif -I../ -I/usr/local/include 
-pipe -g -Wall -c string_utils.c  -fPIC -DPIC -o string_utils.lo
/bin/sh ../../libtool --mode=link cc  -pipe -g -Wall -L/usr/local/lib -o 
libsupport_utils.la   button.lo charset.lo check_button.lo clist_edit.lo 
cursors.lo dialogs.lo exif_view.lo file_dialog.lo file_list.lo 
file_type.lo file_utils.lo generic_dialog.lo image.lo image_info.lo 
image_loader.lo japanese.lo menu.lo path_selection.lo pixbuf_utils.lo 
string_utils.lo  -lintl
mkdir .libs
rm -fr .libs/libsupport_utils.la .libs/libsupport_utils.* 
.libs/libsupport_utils.*
ar cru .libs/libsupport_utils.al button.lo charset.lo check_button.lo 
clist_edit.lo cursors.lo dialogs.lo exif_view.lo file_dialog.lo 
file_list.lo file_type.lo file_utils.lo generic_dialog.lo image.lo 
image_info.lo image_loader.lo japanese.lo menu.lo path_selection.lo 
pixbuf_utils.lo string_utils.lo
ranlib .libs/libsupport_utils.al
creating libsupport_utils.la
(cd .libs && rm -f libsupport_utils.la && ln -s ../libsupport_utils.la 
libsupport_utils.la)
Making all in prefs_ui
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-I../support -I../ -I../support/widgets     -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2     -I/usr/local/include  -pipe -g -Wall 
-c prefs_ui_common.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../support -I../ 
-I../support/widgets -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -I/usr/local/include 
-pipe -g -Wall -c prefs_ui_common.c  -fPIC -DPIC -o prefs_ui_common.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-I../support -I../ -I../support/widgets     -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2     -I/usr/local/include  -pipe -g -Wall 
-c prefs_ui_dirview.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../support -I../ 
-I../support/widgets -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -I/usr/local/include 
-pipe -g -Wall -c prefs_ui_dirview.c  -fPIC -DPIC -o prefs_ui_dirview.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-I../support -I../ -I../support/widgets     -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2     -I/usr/local/include  -pipe -g -Wall 
-c prefs_ui_etc.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../support -I../ 
-I../support/widgets -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -I/usr/local/include 
-pipe -g -Wall -c prefs_ui_etc.c  -fPIC -DPIC -o prefs_ui_etc.lo
prefs_ui_etc.c: In function 'slideshow_interval_update':
prefs_ui_etc.c:646: warning: pointer targets in initialization differ in 
signedness
prefs_ui_etc.c:647: warning: pointer targets in initialization differ in 
signedness
prefs_ui_etc.c:648: warning: pointer targets in initialization differ in 
signedness
prefs_ui_etc.c:650: warning: pointer targets in initialization differ in 
signedness
prefs_ui_etc.c:674: warning: pointer targets in passing argument 2 of 
'dgettext' differ in signedness
prefs_ui_etc.c:674: warning: pointer targets in passing argument 1 of 
'sprintf' differ in signedness
prefs_ui_etc.c:676: warning: pointer targets in passing argument 2 of 
'gtk_label_set_text' differ in signedness
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-I../support -I../ -I../support/widgets     -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2     -I/usr/local/include  -pipe -g -Wall 
-c prefs_ui_imageview.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../support -I../ 
-I../support/widgets -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -I/usr/local/include 
-pipe -g -Wall -c prefs_ui_imageview.c  -fPIC -DPIC -o prefs_ui_imageview.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-I../support -I../ -I../support/widgets     -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2     -I/usr/local/include  -pipe -g -Wall 
-c prefs_ui_plugin.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../support -I../ 
-I../support/widgets -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -I/usr/local/include 
-pipe -g -Wall -c prefs_ui_plugin.c  -fPIC -DPIC -o prefs_ui_plugin.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-I../support -I../ -I../support/widgets     -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2     -I/usr/local/include  -pipe -g -Wall 
-c prefs_ui_progs.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../support -I../ 
-I../support/widgets -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -I/usr/local/include 
-pipe -g -Wall -c prefs_ui_progs.c  -fPIC -DPIC -o prefs_ui_progs.lo
prefs_ui_progs.c:32: warning: 'prefs_win' defined but not used
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-I../support -I../ -I../support/widgets     -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2     -I/usr/local/include  -pipe -g -Wall 
-c prefs_ui_thumbview.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../support -I../ 
-I../support/widgets -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -I/usr/local/include 
-pipe -g -Wall -c prefs_ui_thumbview.c  -fPIC -DPIC -o prefs_ui_thumbview.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-I../support -I../ -I../support/widgets     -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2     -I/usr/local/include  -pipe -g -Wall 
-c prefs_ui_utils.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../support -I../ 
-I../support/widgets -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -I/usr/local/include 
-pipe -g -Wall -c prefs_ui_utils.c  -fPIC -DPIC -o prefs_ui_utils.lo
/bin/sh ../../libtool --mode=compile cc -DHAVE_CONFIG_H -I. -I. -I../.. 
-I../support -I../ -I../support/widgets     -D_THREAD_SAFE 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include 
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo 
-I/usr/local/include/pango-1.0 -I/usr/local/include 
-I/usr/local/include/freetype2     -I/usr/local/include  -pipe -g -Wall 
-c prefs_win.c
cc -DHAVE_CONFIG_H -I. -I. -I../.. -I../support -I../ 
-I../support/widgets -D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -I/usr/local/include 
-pipe -g -Wall -c prefs_win.c  -fPIC -DPIC -o prefs_win.lo
/bin/sh ../../libtool --mode=link cc  -pipe -g -Wall -L/usr/local/lib -o 
libprefs_ui.la   prefs_ui_common.lo prefs_ui_dirview.lo  prefs_ui_etc.lo 
prefs_ui_imageview.lo prefs_ui_plugin.lo  prefs_ui_progs.lo 
prefs_ui_thumbview.lo prefs_ui_utils.lo prefs_win.lo  -lintl
mkdir .libs
rm -fr .libs/libprefs_ui.la .libs/libprefs_ui.* .libs/libprefs_ui.*
ar cru .libs/libprefs_ui.al prefs_ui_common.lo prefs_ui_dirview.lo 
prefs_ui_etc.lo prefs_ui_imageview.lo prefs_ui_plugin.lo 
prefs_ui_progs.lo prefs_ui_thumbview.lo prefs_ui_utils.lo prefs_win.lo
ranlib .libs/libprefs_ui.al
creating libprefs_ui.la
(cd .libs && rm -f libprefs_ui.la && ln -s ../libprefs_ui.la libprefs_ui.la)
Making all in scripts
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c about.c
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c browser.c
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c cache.c
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c comment.c
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c comment_view.c
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c dirview.c
dirview.c: In function 'cb_dirview_mkdir':
dirview.c:431: warning: passing argument 3 of 'dirtree_find_file' 
discards qualifiers from pointer target type
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c dock.c
dock.c: In function 'dock_setup_properties':
dock.c:179: warning: passing argument 3 of 'gdk_property_change' makes 
pointer from integer without a cast
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c fileutil.c
fileutil.c: In function 'file_util_move_multiple':
fileutil.c:636: warning: passing argument 3 of 'dialog_progress_update' 
discards qualifiers from pointer target type
fileutil.c:651: warning: passing argument 3 of 'dialog_progress_update' 
discards qualifiers from pointer target type
fileutil.c: In function 'cb_file_util_delete_multiple_ok':
fileutil.c:1192: warning: passing argument 3 of 'dialog_progress_update' 
discards qualifiers from pointer target type
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c imageinfo.c
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c imageview.c
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c main.c
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c navwindow.c
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c plugin.c
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c prefs.c
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c thumb_loader.c
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c thumbview.c
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c 
videoplay_mplayer.c
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c videoplay_xine.c
cc -DHAVE_CONFIG_H -I. -I. -I.. 
-DLOCALEDIR=\""/usr/local/share/locale"\" -Iprefs_ui -Isupport 
-D_THREAD_SAFE -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include/gtk-2.0 
-I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/pango-1.0 
-I/usr/local/include -I/usr/local/include/freetype2 -Isupport/libexif 
-Isupport/widgets  -I/usr/local/include  -pipe -g -Wall -c viewtype.c
/bin/sh ../libtool --mode=link cc  -pipe -g -Wall -L/usr/local/lib -o 
pornview -export-dynamic about.o browser.o cache.o  comment.o 
comment_view.o dirview.o  dock.o fileutil.o imageinfo.o  imageview.o 
main.o navwindow.o plugin.o  prefs.o thumb_loader.o thumbview.o 
videoplay_mplayer.o videoplay_xine.o viewtype.o -Wl,--export-dynamic 
-pthread -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 
-lgdk_pixbuf-2.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi 
-lXrandr -lXcursor -lXcomposite -lXdamage -lcairo -lpangoft2-1.0 
-lpango-1.0 -lm -lfreetype -lz -lfontconfig -lX11 -lXfixes -lgobject-2.0 
-lgmodule-2.0 -lglib-2.0 -liconv  -lpng -lz      -lintl 
/usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib 
/usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib -lcharset 
-L/usr/local/lib -lXinerama     prefs_ui/libprefs_ui.la 
support/widgets/libsupport_widgets.la     support/libsupport_utils.la 
support/libexif/libexif.la -lintl
mkdir .libs
cc -pipe -g -Wall -o pornview about.o browser.o cache.o comment.o 
comment_view.o dirview.o dock.o fileutil.o imageinfo.o imageview.o 
main.o navwindow.o plugin.o prefs.o thumb_loader.o thumbview.o 
videoplay_mplayer.o videoplay_xine.o viewtype.o -Wl,--export-dynamic 
-pthread /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib 
/usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib 
-Wl,--export-dynamic  -L/usr/local/lib /usr/local/lib/libgtk-x11-2.0.so 
/usr/local/lib/libgdk-x11-2.0.so /usr/local/lib/libatk-1.0.so 
/usr/local/lib/libgdk_pixbuf-2.0.so /usr/local/lib/libpangocairo-1.0.so 
/usr/local/lib/libXext.so /usr/local/lib/libXrender.so 
/usr/local/lib/libXi.so /usr/local/lib/libXrandr.so 
/usr/local/lib/libXcursor.so /usr/local/lib/libXcomposite.so 
/usr/local/lib/libXdamage.so /usr/local/lib/libcairo.so 
/usr/local/lib/libpangoft2-1.0.so /usr/local/lib/libpango-1.0.so -lm 
/usr/local/lib/libfreetype.so /usr/local/lib/libfontconfig.so 
/usr/local/lib/libX11.so /usr/local/lib/libXfixes.so 
/usr/local/lib/libgobject-2.0.so /usr/local/lib/libgmodule-2.0.so 
/usr/local/lib/libglib-2.0.so /usr/local/lib/libiconv.so -lpng -lz 
/usr/local/lib/libcharset.so /usr/local/lib/libXinerama.so 
prefs_ui/.libs/libprefs_ui.al 
support/widgets/.libs/libsupport_widgets.al 
support/.libs/libsupport_utils.al support/libexif/.libs/libexif.al 
/usr/local/lib/libintl.so -Wl,--rpath -Wl,/usr/local/lib -Wl,--rpath 
-Wl,/usr/local/lib
[6:18:01]  jimmie@fortytwo <103> [0] /usr/ports/graphics/pornview#

[6:18:49]  jimmie@fortytwo <231> [0] 
/usr/ports/graphics/pornview/work/pornview-0.2.0pre1/src>gdb ./pornview
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain 
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-marcel-freebsd"...
(gdb) run
Starting program: 
/usr/ports/graphics/pornview/work/pornview-0.2.0pre1/src/pornview
[New LWP 100128]
[New Thread 0x28d01100 (LWP 100128)]

(pornview:22477): GLib-GObject-CRITICAL **: g_value_get_pointer: 
assertion `G_VALUE_HOLDS_POINTER (value)' failed

(pornview:22477): GLib-GObject-CRITICAL **: g_value_get_pointer: 
assertion `G_VALUE_HOLDS_POINTER (value)' failed

** (pornview:22477): WARNING **: Invalid borders specified for theme pixmap:
         /home/jimmie/.themes/Cillop-Brushed/gtk-2.0/menubar.png,
borders don't fit within the image

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x28d01100 (LWP 100128)]
0x08087994 in zlist_clear (list=0x28ddf820) at zlist.c:1397
1397        scrolled->h_adjustment->value = 0;
(gdb) bt
#0  0x08087994 in zlist_clear (list=0x28ddf820) at zlist.c:1397
#1  0x0807051c in thumbview_clear () at thumbview.c:1717
#2  0x080577b0 in browser_select_dir (path=0x28d07980 "/home/jimmie") at 
browser.c:368
#3  0x08056c51 in cb_browser_select_dir (data=0x28d07980) at browser.c:75
#4  0x28a1d6a8 in g_source_get_current_time () from 
/usr/local/lib/libglib-2.0.so.0
#5  0x28a1cfcd in g_main_context_dispatch () from 
/usr/local/lib/libglib-2.0.so.0
#6  0x28a1ff7d in g_main_context_check () from 
/usr/local/lib/libglib-2.0.so.0
#7  0x28a202f1 in g_main_loop_run () from /usr/local/lib/libglib-2.0.so.0
#8  0x2838a756 in IA__gtk_main () at gtkmain.c:1163
#9  0x0806abf9 in main (argc=1, argv=0xbfbfeaf4) at main.c:41
(gdb) quit
The program is running.  Exit anyway? (y or n) y
[6:19:13]  jimmie@fortytwo <232> [0] 
/usr/ports/graphics/pornview/work/pornview-0.2.0pre1/src>


-- 
Over the years I've come to regard you as people I've met.
If you can't beat your computer at chess, try kickboxing.


-- 
Over the years I've come to regard you as people I've met.
If you can't beat your computer at chess, try kickboxing.
Comment 4 JImmie James 2008-06-02 15:12:38 UTC
As of June 2nd, the problem still exists for me. I've rebuilt glib, gtk2 
and pornview with no /etc/make.conf and the segfault  still happens. 
Commenting out CONFIGURE_ARGS= --with-gtk2 builds pornview with gtk1, 
which runs, so it's a work around for now.

Reference:  http://www.freebsd.org/cgi/query-pr.cgi?pr=123410
-- 
Over the years I've come to regard you as people I've met.
If you can't beat your computer at chess, try kickboxing.
Comment 5 dirk.meyer 2008-06-08 12:22:26 UTC
I have still trouble to reproduce the fault.

1) Can you tell my the output of ldd on your system:

I have:

$ ldd /usr/local/bin/pornview 
/usr/local/bin/pornview:
	libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x280e5000)
	libgtk-x11-2.0.so.0 => /usr/local/lib/libgtk-x11-2.0.so.0 (0x281dc000)
	libgdk-x11-2.0.so.0 => /usr/local/lib/libgdk-x11-2.0.so.0 (0x28589000)
	libatk-1.0.so.0 => /usr/local/lib/libatk-1.0.so.0 (0x28615000)
	libgdk_pixbuf-2.0.so.0 => /usr/local/lib/libgdk_pixbuf-2.0.so.0 (0x28630000)
	libpangocairo-1.0.so.0 => /usr/local/lib/libpangocairo-1.0.so.0 (0x28648000)
	libXext.so.6 => /usr/local/lib/libXext.so.6 (0x28652000)
	libXrender.so.1 => /usr/local/lib/libXrender.so.1 (0x28661000)
	libXi.so.6 => /usr/local/lib/libXi.so.6 (0x2866a000)
	libXrandr.so.2 => /usr/local/lib/libXrandr.so.2 (0x28673000)
	libXcursor.so.1 => /usr/local/lib/libXcursor.so.1 (0x2867a000)
	libXfixes.so.3 => /usr/local/lib/libXfixes.so.3 (0x28684000)
	libcairo.so.2 => /usr/local/lib/libcairo.so.2 (0x28689000)
	libpangoft2-1.0.so.0 => /usr/local/lib/libpangoft2-1.0.so.0 (0x28705000)
	libpango-1.0.so.0 => /usr/local/lib/libpango-1.0.so.0 (0x28735000)
	libm.so.4 => /lib/libm.so.4 (0x28773000)
	libfreetype.so.9 => /usr/local/lib/libfreetype.so.9 (0x2878c000)
	libfontconfig.so.1 => /usr/local/lib/libfontconfig.so.1 (0x287fd000)
	libX11.so.6 => /usr/local/lib/libX11.so.6 (0x2882a000)
	libgobject-2.0.so.0 => /usr/local/lib/libgobject-2.0.so.0 (0x28922000)
	libgmodule-2.0.so.0 => /usr/local/lib/libgmodule-2.0.so.0 (0x2895f000)
	libglib-2.0.so.0 => /usr/local/lib/libglib-2.0.so.0 (0x28963000)
	libpng.so.5 => /usr/local/lib/libpng.so.5 (0x28a09000)
	libz.so.3 => /lib/libz.so.3 (0x28a2e000)
	libcharset.so.1 => /usr/local/lib/libcharset.so.1 (0x28a40000)
	libXinerama.so.1 => /usr/local/lib/libXinerama.so.1 (0x28a43000)
	libintl.so.8 => /usr/local/lib/libintl.so.8 (0x28a46000)
	libpthread.so.2 => /lib/libpthread.so.2 (0x28a50000)
	libc.so.6 => /lib/libc.so.6 (0x28a76000)
	libXcomposite.so.1 => /usr/local/lib/libXcomposite.so.1 (0x28b75000)
	libXdamage.so.1 => /usr/local/lib/libXdamage.so.1 (0x28b78000)
	libXau.so.6 => /usr/local/lib/libXau.so.6 (0x28b7b000)
	libexpat.so.6 => /usr/local/lib/libexpat.so.6 (0x28b7e000)
	libXdmcp.so.6 => /usr/local/lib/libXdmcp.so.6 (0x28ba0000)
	librpcsvc.so.3 => /usr/lib/librpcsvc.so.3 (0x28ba5000)
	libpcre.so.0 => /usr/local/lib/libpcre.so.0 (0x28bae000)


2) Can try try to move your old data aside?

$ mv ~/.pornview ~/.pornview.old

Does the application still crash?


kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
Comment 6 JImmie James 2008-07-12 04:20:09 UTC
  ~>ldd /usr/local/bin/pornview
/usr/local/bin/pornview:
	libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x280dd000)
	libgtk-x11-2.0.so.0 => /usr/local/lib/libgtk-x11-2.0.so.0 (0x281d2000)
	libgdk-x11-2.0.so.0 => /usr/local/lib/libgdk-x11-2.0.so.0 (0x28615000)
	libatk-1.0.so.0 => /usr/local/lib/libatk-1.0.so.0 (0x286bb000)
	libgdk_pixbuf-2.0.so.0 => /usr/local/lib/libgdk_pixbuf-2.0.so.0 
(0x286d4000)
	libpangocairo-1.0.so.0 => /usr/local/lib/libpangocairo-1.0.so.0 
(0x286ef000)
	libXext.so.6 => /usr/local/lib/libXext.so.6 (0x286f8000)
	libXrender.so.1 => /usr/local/lib/libXrender.so.1 (0x28705000)
	libXi.so.6 => /usr/local/lib/libXi.so.6 (0x28716000)
	libXrandr.so.2 => /usr/local/lib/libXrandr.so.2 (0x2871e000)
	libXcursor.so.1 => /usr/local/lib/libXcursor.so.1 (0x28724000)
	libXcomposite.so.1 => /usr/local/lib/libXcomposite.so.1 (0x2872d000)
	libXdamage.so.1 => /usr/local/lib/libXdamage.so.1 (0x28730000)
	libcairo.so.2 => /usr/local/lib/libcairo.so.2 (0x28733000)
	libpangoft2-1.0.so.0 => /usr/local/lib/libpangoft2-1.0.so.0 (0x2878e000)
	libpango-1.0.so.0 => /usr/local/lib/libpango-1.0.so.0 (0x287b5000)
	libm.so.5 => /lib/libm.so.5 (0x287f0000)
	libfreetype.so.9 => /usr/local/lib/libfreetype.so.9 (0x28805000)
	libfontconfig.so.1 => /usr/local/lib/libfontconfig.so.1 (0x28872000)
	libX11.so.6 => /usr/local/lib/libX11.so.6 (0x2889a000)
	libXfixes.so.3 => /usr/local/lib/libXfixes.so.3 (0x28981000)
	libgobject-2.0.so.0 => /usr/local/lib/libgobject-2.0.so.0 (0x28986000)
	libgmodule-2.0.so.0 => /usr/local/lib/libgmodule-2.0.so.0 (0x289be000)
	libglib-2.0.so.0 => /usr/local/lib/libglib-2.0.so.0 (0x289c2000)
	libpng.so.5 => /usr/local/lib/libpng.so.5 (0x28a6c000)
	libz.so.4 => /lib/libz.so.4 (0x28a90000)
	libcharset.so.1 => /usr/local/lib/libcharset.so.1 (0x28aa2000)
	libXinerama.so.1 => /usr/local/lib/libXinerama.so.1 (0x28aa5000)
	libintl.so.8 => /usr/local/lib/libintl.so.8 (0x28aa8000)
	libthr.so.3 => /lib/libthr.so.3 (0x28ab1000)
	libc.so.7 => /lib/libc.so.7 (0x28ac3000)
	libXau.so.6 => /usr/local/lib/libXau.so.6 (0x28bbd000)
	libpixman-1.so.9 => /usr/local/lib/libpixman-1.so.9 (0x28bc0000)
	libexpat.so.6 => /usr/local/lib/libexpat.so.6 (0x28be8000)
	libXdmcp.so.6 => /usr/local/lib/libXdmcp.so.6 (0x28c07000)
	librpcsvc.so.4 => /usr/lib/librpcsvc.so.4 (0x28c0c000)
	libpcre.so.0 => /usr/local/lib/libpcre.so.0 (0x28c14000)

[23:17:43]  jimmie@fortytwo <118> [0] ~>rm -rf .pornview/
(pornview:42479): GLib-GObject-CRITICAL **: g_value_get_pointer: 
assertion `G_VALUE_HOLDS_POINTER (value)' failed
(pornview:42479): GLib-GObject-CRITICAL **: g_value_get_pointer: 
assertion `G_VALUE_HOLDS_POINTER (value)' failed
Segmentation fault
*** /var/log/messages ***
Jul 11 23:18:16 fortytwo kernel: pid 42479 (pornview), uid 1001: exited 
on signal 11

I know for sure it's not a hardware issue, memtest ran for days without 
errors.
-- 
Over the years I've come to regard you as people I've met.
O< ascii ribbon campaign - stop html mail - www.asciiribbon.org
Comment 7 Dirk Meyer freebsd_committer 2009-01-16 05:43:32 UTC
State Changed
From-To: feedback->analyzed

- verfied ldd ouput 

> libxcb-render-util.so.0 => /usr/local/lib/libxcb-render-util.so.0 
> libxcb-render.so.0 => /usr/local/lib/libxcb-render.so.0 
> libxcb.so.1 => /usr/local/lib/libxcb.so.1 

more dependencies added to the port at 2009/01/04. 

applications still does not crash on 7.0 or 7.1 

$ldd /usr/local/bin/pornview 
/usr/local/bin/pornview: 
libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x280e2000) 
libgtk-x11-2.0.so.0 => /usr/local/lib/libgtk-x11-2.0.so.0 (0x281d8000) 
libgdk-x11-2.0.so.0 => /usr/local/lib/libgdk-x11-2.0.so.0 (0x2855d000) 
libatk-1.0.so.0 => /usr/local/lib/libatk-1.0.so.0 (0x285e5000) 
libgdk_pixbuf-2.0.so.0 => /usr/local/lib/libgdk_pixbuf-2.0.so.0 (0x285ff000) 
libpangocairo-1.0.so.0 => /usr/local/lib/libpangocairo-1.0.so.0 (0x28617000) 
libXext.so.6 => /usr/local/lib/libXext.so.6 (0x28621000) 
libXrender.so.1 => /usr/local/lib/libXrender.so.1 (0x2862f000) 
libXi.so.6 => /usr/local/lib/libXi.so.6 (0x28637000) 
libXrandr.so.2 => /usr/local/lib/libXrandr.so.2 (0x28640000) 
libXcursor.so.1 => /usr/local/lib/libXcursor.so.1 (0x28646000) 
libXcomposite.so.1 => /usr/local/lib/libXcomposite.so.1 (0x2864f000) 
libXdamage.so.1 => /usr/local/lib/libXdamage.so.1 (0x28652000) 
libcairo.so.2 => /usr/local/lib/libcairo.so.2 (0x28655000) 
libpangoft2-1.0.so.0 => /usr/local/lib/libpangoft2-1.0.so.0 (0x286ba000) 
libpango-1.0.so.0 => /usr/local/lib/libpango-1.0.so.0 (0x286e2000) 
libm.so.5 => /lib/libm.so.5 (0x28728000) 
libfreetype.so.9 => /usr/local/lib/libfreetype.so.9 (0x2873e000) 
libfontconfig.so.1 => /usr/local/lib/libfontconfig.so.1 (0x287ae000) 
libX11.so.6 => /usr/local/lib/libX11.so.6 (0x287d8000) 
libXfixes.so.3 => /usr/local/lib/libXfixes.so.3 (0x288c6000) 
libgobject-2.0.so.0 => /usr/local/lib/libgobject-2.0.so.0 (0x288cb000) 
libgmodule-2.0.so.0 => /usr/local/lib/libgmodule-2.0.so.0 (0x28908000) 
libglib-2.0.so.0 => /usr/local/lib/libglib-2.0.so.0 (0x2890c000) 
libpng.so.5 => /usr/local/lib/libpng.so.5 (0x289c0000) 
libz.so.4 => /lib/libz.so.4 (0x289e5000) 
libcharset.so.1 => /usr/local/lib/libcharset.so.1 (0x289f7000) 
libXinerama.so.1 => /usr/local/lib/libXinerama.so.1 (0x289fa000) 
libintl.so.8 => /usr/local/lib/libintl.so.8 (0x289fd000) 
libthr.so.3 => /lib/libthr.so.3 (0x28a06000) 
libc.so.7 => /lib/libc.so.7 (0x28a19000) 
libXau.so.6 => /usr/local/lib/libXau.so.6 (0x28b1c000) 
libxcb-render-util.so.0 => /usr/local/lib/libxcb-render-util.so.0 (0x28b1f000) 
libxcb-render.so.0 => /usr/local/lib/libxcb-render.so.0 (0x28b23000) 
libxcb.so.1 => /usr/local/lib/libxcb.so.1 (0x28b2a000) 
libpixman-1.so.9 => /usr/local/lib/libpixman-1.so.9 (0x28b41000) 
libexpat.so.6 => /usr/local/lib/libexpat.so.6 (0x28b6b000) 
libXdmcp.so.6 => /usr/local/lib/libXdmcp.so.6 (0x28b8c000) 
librpcsvc.so.4 => /usr/lib/librpcsvc.so.4 (0x28b91000) 
libpcre.so.0 => /usr/local/lib/libpcre.so.0 (0x28b9a000)
Comment 8 dirk.meyer 2009-01-16 05:53:23 UTC
Jimmie James wrote:
I am still unable to run this when compiled against GTK2, original PR
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/123410
Commenting out:
USE_GNOME=      gtk20
and
CONFIGURE_ARGS= --with-gtk2
allows me to run it fine (ldd at the end with, and without gtk2)


http://docs.freebsd.org/cgi/getmsg.cgi?fetch=1305340+0+current/cvs-ports
dinoex      2009-01-14 18:54:25 UTC

   FreeBSD ports repository

   Added files:
     graphics/pornview/files patch-gtkcellrendererpixmap.c
   Log:
   - fix build after gnome update

   Revision  Changes    Path
   1.1       +12 -0
ports/graphics/pornview/files/patch-gtkcellrendererpixmap.c (new)


WITH GTK2:

  ~>ldd /usr/local/bin/pornview
/usr/local/bin/pornview:
        libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x280e3000)
        libgtk-x11-2.0.so.0 => /usr/local/lib/libgtk-x11-2.0.so.0 (0x281d8000)
        libgdk-x11-2.0.so.0 => /usr/local/lib/libgdk-x11-2.0.so.0 (0x28633000)
        libatk-1.0.so.0 => /usr/local/lib/libatk-1.0.so.0 (0x286de000)
        libgdk_pixbuf-2.0.so.0 => /usr/local/lib/libgdk_pixbuf-2.0.so.0 (0x286f7000)
        libpangocairo-1.0.so.0 => /usr/local/lib/libpangocairo-1.0.so.0 (0x28713000)
        libgio-2.0.so.0 => /usr/local/lib/libgio-2.0.so.0 (0x2871d000)
        libXext.so.6 => /usr/local/lib/libXext.so.6 (0x28779000)
        libXrender.so.1 => /usr/local/lib/libXrender.so.1 (0x2878f000)
        libXi.so.6 => /usr/local/lib/libXi.so.6 (0x28797000)
        libXrandr.so.2 => /usr/local/lib/libXrandr.so.2 (0x2879f000)
        libXcursor.so.1 => /usr/local/lib/libXcursor.so.1 (0x287a5000)
        libXcomposite.so.1 => /usr/local/lib/libXcomposite.so.1 (0x287ae000)
        libXdamage.so.1 => /usr/local/lib/libXdamage.so.1 (0x287b1000)
        libcairo.so.2 => /usr/local/lib/libcairo.so.2 (0x287b4000)
        libpangoft2-1.0.so.0 => /usr/local/lib/libpangoft2-1.0.so.0 (0x2881e000)
        libX11.so.6 => /usr/local/lib/libX11.so.6 (0x28845000)
        libXfixes.so.3 => /usr/local/lib/libXfixes.so.3 (0x2892c000)
        libpango-1.0.so.0 => /usr/local/lib/libpango-1.0.so.0 (0x28931000)
        libm.so.5 => /lib/libm.so.5 (0x2896f000)
        libfreetype.so.9 => /usr/local/lib/libfreetype.so.9 (0x28984000)
        libfontconfig.so.1 => /usr/local/lib/libfontconfig.so.1 (0x289f1000)
        libgobject-2.0.so.0 => /usr/local/lib/libgobject-2.0.so.0 (0x28a19000)
        libgmodule-2.0.so.0 => /usr/local/lib/libgmodule-2.0.so.0 (0x28a52000)
        libglib-2.0.so.0 => /usr/local/lib/libglib-2.0.so.0 (0x28a56000)
        libpng.so.5 => /usr/local/lib/libpng.so.5 (0x28b01000)
        libz.so.4 => /lib/libz.so.4 (0x28b24000)
        libcharset.so.1 => /usr/local/lib/libcharset.so.1 (0x28b36000)
        libXinerama.so.1 => /usr/local/lib/libXinerama.so.1 (0x28b39000)
        libintl.so.8 => /usr/local/lib/libintl.so.8 (0x28b3c000)
        libthr.so.3 => /lib/libthr.so.3 (0x28b45000)
        libc.so.7 => /lib/libc.so.7 (0x28b57000)
        libXau.so.6 => /usr/local/lib/libXau.so.6 (0x28c53000)
        libpixman-1.so.9 => /usr/local/lib/libpixman-1.so.9 (0x28c56000)
        libxcb-render-util.so.0 => /usr/local/lib/libxcb-render-util.so.0 (0x28c8a000)
        libxcb-render.so.0 => /usr/local/lib/libxcb-render.so.0 (0x28c8e000)
        libxcb.so.1 => /usr/local/lib/libxcb.so.1 (0x28c95000)
        libexpat.so.6 => /usr/local/lib/libexpat.so.6 (0x28cab000)
        libXdmcp.so.6 => /usr/local/lib/libXdmcp.so.6 (0x28cca000)
        librpcsvc.so.4 => /usr/lib/librpcsvc.so.4 (0x28ccf000)
        libpcre.so.0 => /usr/local/lib/libpcre.so.0 (0x28cd7000)
 
WITHOUT GTK2
  ~>ldd /usr/local/bin/pornview
/usr/local/bin/pornview:
         libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x280ea000)
         libgdk_pixbuf.so.2 => /usr/local/lib/libgdk_pixbuf.so.2 (0x281df000)
         libgtk-12.so.2 => /usr/local/lib/libgtk-12.so.2 (0x281f3000)
         libgdk-12.so.2 => /usr/local/lib/libgdk-12.so.2 (0x2832e000)
         libgmodule-12.so.3 => /usr/local/lib/libgmodule-12.so.3 (0x28364000)
         libglib-12.so.3 => /usr/local/lib/libglib-12.so.3 (0x28367000)
         libXi.so.6 => /usr/local/lib/libXi.so.6 (0x2838b000)
         libXext.so.6 => /usr/local/lib/libXext.so.6 (0x28393000)
         libX11.so.6 => /usr/local/lib/libX11.so.6 (0x283a9000)
         libm.so.5 => /lib/libm.so.5 (0x28490000)
         libpng.so.5 => /usr/local/lib/libpng.so.5 (0x284a5000)
         libz.so.4 => /lib/libz.so.4 (0x284c8000)
         libcharset.so.1 => /usr/local/lib/libcharset.so.1 (0x284da000)
         libXinerama.so.1 => /usr/local/lib/libXinerama.so.1 (0x284dd000)
         libintl.so.8 => /usr/local/lib/libintl.so.8 (0x284e0000)
         libc.so.7 => /lib/libc.so.7 (0x284e9000)
         libXau.so.6 => /usr/local/lib/libXau.so.6 (0x285e5000)
         libXdmcp.so.6 => /usr/local/lib/libXdmcp.so.6 (0x285e8000)
         librpcsvc.so.4 => /usr/lib/librpcsvc.so.4 (0x285ed000)
 
 
 -- 
 Over the years I've come to regard you as people I've met.


http://www.freebsd.org/cgi/query-pr.cgi?pr=123410
Comment 9 dirk.meyer 2009-04-19 16:31:15 UTC
> Synopsis: graphics/pornview segmentation fault

I was able to reproduce a coredump on freeBSD 7.2 amd64.

Can you this Version:
http://people.freebsd.org/~dinoex/ports/pornview.tar.gz

Gruß Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]
http://people.freebsd.org/~dinoex/errorlogs/
- Tel. +49-5606-6512
- Tel. +49-6430-925273
- Tel. +49-177-8911245
- Fax  +49-5606-55023
Comment 10 dfilter service freebsd_committer 2009-05-07 09:25:20 UTC
dinoex      2009-05-07 08:25:11 UTC

  FreeBSD ports repository

  Modified files:
    graphics/pornview    Makefile 
    graphics/pornview/files patch-gtkcellrendererpixmap.c 
  Added files:
    graphics/pornview/files patch-charset.c patch-comment.c 
                            patch-comment.h 
                            patch-gtkcellrendererpixmap.h 
                            patch-gtkxine.c patch-image_loader.c 
                            patch-zlist.c 
  Removed files:
    graphics/pornview/files patch-debian 
  Log:
  - include patches from OpenBSD
  - Fix coredump on amd64
  PR:             123410
  
  Revision  Changes    Path
  1.36      +1 -1      ports/graphics/pornview/Makefile
  1.1       +11 -0     ports/graphics/pornview/files/patch-charset.c (new)
  1.1       +24 -0     ports/graphics/pornview/files/patch-comment.c (new)
  1.1       +26 -0     ports/graphics/pornview/files/patch-comment.h (new)
  1.2       +0 -53     ports/graphics/pornview/files/patch-debian (dead)
  1.2       +14 -1     ports/graphics/pornview/files/patch-gtkcellrendererpixmap.c
  1.1       +28 -0     ports/graphics/pornview/files/patch-gtkcellrendererpixmap.h (new)
  1.1       +11 -0     ports/graphics/pornview/files/patch-gtkxine.c (new)
  1.1       +29 -0     ports/graphics/pornview/files/patch-image_loader.c (new)
  1.1       +12 -0     ports/graphics/pornview/files/patch-zlist.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Dirk Meyer freebsd_committer 2010-11-27 10:37:28 UTC
State Changed
From-To: analyzed->closed

hopefully the bug was found.